# SkyAtmosphere

#### new Cesium.SkyAtmosphere(ellipsoid)
Scene/SkyAtmosphere.js 68

  An atmosphere drawn around the limb of the provided ellipsoid. Based on Accurate Atmospheric Scattering in GPU Gems 2.

  This is only supported in 3D. atmosphere is faded out when morphing to 2D or Columbus view.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid that the atmosphere is drawn around.

  ##### Example:

      scene.skyAtmosphere = new Cesium.SkyAtmosphere();

  ##### See:

  - Scene.skyAtmosphere

### Members

#### brightnessShift : Number
Scene/SkyAtmosphere.js 111

  The brightness shift to apply to the atmosphere. Defaults to 0.0 (no shift). A brightness shift of -1.0 is complete darkness, which will let space show through.
  Default Value: `0.0`

#### readonlyellipsoid : Ellipsoid
Scene/SkyAtmosphere.js 148

  Gets the ellipsoid the atmosphere is drawn around.

#### hueShift : Number
Scene/SkyAtmosphere.js 95

  The hue shift to apply to the atmosphere. Defaults to 0.0 (no shift). A hue shift of 1.0 indicates a complete rotation of the hues available.
  Default Value: `0.0`

#### saturationShift : Number
Scene/SkyAtmosphere.js 103

  The saturation shift to apply to the atmosphere. Defaults to 0.0 (no shift). A saturation shift of -1.0 is monochrome.
  Default Value: `0.0`

#### show : Boolean
Scene/SkyAtmosphere.js 77

  Determines if the atmosphere is shown.
  Default Value: `true`

### Methods

#### destroy() → undefined
Scene/SkyAtmosphere.js 311

  Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.
  Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

  ##### Returns:

  ##### Throws:

  - DeveloperError : This object was destroyed, i.e., destroy() was called.

  ##### Example:

      skyAtmosphere = skyAtmosphere && skyAtmosphere.destroy();

  ##### See:

  - SkyAtmosphere#isDestroyed

#### isDestroyed() → Boolean
Scene/SkyAtmosphere.js 289

  Returns true if this object was destroyed; otherwise, false.
  If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

  ##### Returns:

  `true` if this object was destroyed; otherwise, `false`.

  ##### See:

  - SkyAtmosphere#destroy